﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: #f2f2f2;
    font-family: 'Figtree', Arial, Helvetica, sans-serif;
    color: #3b3b3b;
}

.font-weight-bold {
    font-weight: bold;
}

.testborder {
    border: 1px solid #ff0000;
}

/* Navigation components */
/* Nav bar */
nav {
    padding: 0px !important;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
nav a {
    color: #ffffff !important;
    padding: 13px !important;
    text-decoration: none;
}

a.nav-link:hover {
    background-color: #264d9d;
    color: #ffffff !important;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

nav.bg-geodsblue {
    background-color: #194091 !important;
}

/* General Navigation */
a {
    color: #145ba5;
    text-decoration: underline;
}

    a:hover {
        color: #002245;
        text-decoration: none;
    }

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Header */
header {    
    background-color: #194091;
}

header .container {
    height: 114px !important;
    width: 100%;
}

header .headertext {
    display: none;
}

#headerlogo {
    position: relative;
    top: 36px;
    width: 216px;
    height: 61px;
}

#headerTitle {
    padding-top: 15px;
}

#breadcrumbcontainer {
    padding: 0;
}

.breadcrumb {
    background-color: transparent !important;
    padding-left: 13px !important;
    margin: 0 !important;
}

#bodycontainer {
    margin-top: 20px;
    border-radius: 10px;
    padding-bottom: 30px;
}

.homePageHeader {
    margin-top: 20px;
    border: 1px solid #eaeaea;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    background-color: #f7f7f7 !important;
    padding-left: 20px;
}

.homePagePanel {
    border: 1px solid #e5e5e5;
    padding: 20px 10px 20px 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    color: #3b3b3b;
    font-size: 0.8rem;
}

@media (min-width: 769px) {
    h2 {
        font-size: 1.8rem !important;
        color: #ffffff;
        position: relative;
        top: 50px;
        left: 75px;
    }
}

@media (max-width: 768px) {
    h2 {
        display: none;
    }
}

h3 {
    font-size: 1.7rem !important;
    border-bottom: 1px solid #eeeeee;
    padding: 0 0 10px 0;
    margin-bottom: 20px;
    margin-top: 10px;
    font-weight: bold !important;
}

    h3.home {
        border: 0;
    }

h4 {
    font-size: 1.4rem !important;
    padding: 10px 0 10px 0;
}

    h4.topmarg {
        margin-top: 5px;
        padding-bottom: 5px;
    }

h5 {
    margin-top: 20px;
    font-size: 1.1rem !important;
    font-weight: bold;
}

h6 {
    color: #3b3b3b !important;
}

p, li {
    font-size: 15px;
}

ol li {
    list-style: none;
    padding: 0;
}

fieldset {
    border: 1px solid #e5e5e5;
    padding: 14px 0 0 20px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
}

.center-block {
    display: block;
    margin-right: auto;
    margin-left: auto;
}

.pull-right {
    float: right !important;
}

.pull-left {
    float: left;
}

.hide {
    display: none !important;
}

.show {
    display: block !important;
}

.invisible {
    visibility: hidden;
}

.text-align-right {
    text-align: right;
}

.text-align-center {
    text-align: center;
}

.text-hide {
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.hidden {
    display: none;
}

.affix {
    position: fixed;
}

/* Privacy */

#privacyContentBody {
    padding: 20px 30px 20px 30px;
}

.form-group {
    padding-bottom: 15px;
    padding-left: 15px;
}

/* Form components*/
.checkbox {
    margin-top: 5px;
    width: 15px;
    height: 15px;
}

.required {
    color: #ff0000;
}

.error {
color: #ff0000;
font-weight: bold;
}

code {
padding: 0;
}

pre {
padding: 0;
}

.codeborder {
background-color: #ffffff !important;
margin-bottom: 10px;
border: 1px solid #e5e5e5;
padding: 0;
-moz-border-radius: 5px;
border-radius: 5px;
-webkit-border-radius: 5px;
}

fieldset {
border: 1px solid #e5e5e5;
padding: 14px 0 0 20px;
-moz-border-radius: 5px;
border-radius: 5px;
-webkit-border-radius: 5px;
}

.jumbotron {
    background-color: #f7f7f7 !important;
    border: 1px solid #e5e5e5 !important;
}

.jumbohome {
text-align: center !important;
}

.jumboform {
padding: 30px 80px 50px 80px;
}
